Roaa Solh Roaa Solh - 5 months ago 92
Python Question

sudo apt-get update && sudo apt-get upgrade

I'm getting this error while trying commands as above

and i tried several solutions found but nth helped

Also it is happening with any software i try to install

dpkg: error processing package python3-pip (--configure):

package is in a very bad inconsistent state; you should

reinstall it before attempting configuration

dpkg: error processing package python3-setuptools (--configure):

package is in a very bad inconsistent state; you should

reinstall it before attempting configuration

dpkg: error processing package python3-wheel (--configure):

package is in a very bad inconsistent state; you should

reinstall it before attempting configuration

Errors were encountered while processing:

python3-pip

python3-setuptools

python3-wheel

E: Sub-process /usr/bin/dpkg returned an error code (1)

Answer Source

Try this, except with the packages that are in a bad state (in this case, python3-pip, python3-setuptools, and python3-wheel)

sudo dpkg --remove --force-remove-reinstreq python3-pip python3-setuptools python3-wheel
sudo apt-get install python3-pip python3-setuptools python3-wheel